/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */
#include "GraphEditor/AssetActions_InworldCustomNode.h"
#include "Graph/Nodes/InworldNode_Custom.h"

#define LOCTEXT_NAMESPACE "AssetActions_InworldGraph"

FAssetActions_InworldCustomNode::FAssetActions_InworldCustomNode(EAssetTypeCategories::Type InAssetCategory)
	: MyAssetCategory(InAssetCategory)
{
}

FText FAssetActions_InworldCustomNode::GetName() const
{
	return LOCTEXT("FInworldAssetActions_CreateCustomNode", "Inworld Custom Node");
}

FColor FAssetActions_InworldCustomNode::GetTypeColor() const
{
	return FColor::White;
}

UClass* FAssetActions_InworldCustomNode::GetSupportedClass() const
{
	return UInworldNode_Custom::StaticClass();
}

uint32 FAssetActions_InworldCustomNode::GetCategories()
{
	return MyAssetCategory;
}


//////////////////////////////////////////////////////////////////////////

#undef LOCTEXT_NAMESPACE
